# $Revision: 1.7 $, $Date: 2004/12/25 15:07:39 $

%define		module	logging

Summary:	Python logging module
Summary(pl):	Moduy Pythona do obsugi logowania zdarze
Name:		python-%{module}
Version:	0.4.7
Release:	3
License:	distributable
Group:		Libraries/Python
Source0:	http://www.red-dove.com/%{module}-%{version}.tar.gz
# Source0-md5:	c7c4e91f0f8fce232a60ec91852ed0f8
URL:		http://www.red-dove.com/python_logging.html
BuildRequires:	python >= 2.2.1
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python logging module.

%description -l pl
Moduy Pythona do obsugi logowania zdarze.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install --optimize=2 --root=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT%{py_sitescriptdir} -type f -name "*.py" | xargs rm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.txt *.html
%dir %{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-logging.spec,v $
Revision 1.7  2004/12/25 15:07:39  saq
- release 3 for rebuild with python 2.4

Revision 1.6  2004/07/28 08:03:16  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.5  2004/01/19 13:48:13  jajcus
- Release: 2
- new architecture-independent python modules paths

Revision 1.4  2003/05/28 13:01:29  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 06:26:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2002/11/20 09:31:49  wrobell
- ver 0.4.7

Revision 1.1  2002/09/17 14:13:33  wrobell
- based on python-log4py.spec

